# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: enums.proto

import sys
_b=sys.version_info[0]<3 and (lambda x:x) or (lambda x:x.encode('latin1'))
from google.protobuf.internal import enum_type_wrapper
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor.FileDescriptor(
  name='enums.proto',
  package='mascot',
  syntax='proto3',
  serialized_options=None,
  serialized_pb=_b('\n\x0b\x65nums.proto\x12\x06mascot*/\n\x12SubscriptionFlavor\x12\n\n\x06zeromq\x10\x00\x12\r\n\twebsocket\x10\x01\x62\x06proto3')
)

_SUBSCRIPTIONFLAVOR = _descriptor.EnumDescriptor(
  name='SubscriptionFlavor',
  full_name='mascot.SubscriptionFlavor',
  filename=None,
  file=DESCRIPTOR,
  values=[
    _descriptor.EnumValueDescriptor(
      name='zeromq', index=0, number=0,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='websocket', index=1, number=1,
      serialized_options=None,
      type=None),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=23,
  serialized_end=70,
)
_sym_db.RegisterEnumDescriptor(_SUBSCRIPTIONFLAVOR)

SubscriptionFlavor = enum_type_wrapper.EnumTypeWrapper(_SUBSCRIPTIONFLAVOR)
zeromq = 0
websocket = 1


DESCRIPTOR.enum_types_by_name['SubscriptionFlavor'] = _SUBSCRIPTIONFLAVOR
_sym_db.RegisterFileDescriptor(DESCRIPTOR)


# @@protoc_insertion_point(module_scope)
